package com.chenyang.nse.bussiness.entity.orm.table.core.mappletxml;

import com.chenyang.nse.bussiness.entity.orm.table.TBaseEntity;
import java.io.Serializable;
import javax.persistence.Entity;
import javax.persistence.Table;

@Entity
@Table(
   name = "T_CORE_RULE_TRANSFORMATIONINFO"
)
public class TCoreRuleTransformationInfo extends TBaseEntity implements Serializable {
   private String mappletinfoid;
   private String tCoreRuleTransformationname;
   private String type;
   private String assignedFlag;
   private String reusable;
   private String orderIndex;

   public String getMappletinfoid() {
      return this.mappletinfoid;
   }

   public void setMappletinfoid(String mappletinfoid) {
      this.mappletinfoid = mappletinfoid;
   }

   public String gettCoreRuleTransformationname() {
      return this.tCoreRuleTransformationname;
   }

   public void settCoreRuleTransformationname(String tCoreRuleTransformationname) {
      this.tCoreRuleTransformationname = tCoreRuleTransformationname;
   }

   public String getType() {
      return this.type;
   }

   public void setType(String type) {
      this.type = type;
   }

   public String getAssignedFlag() {
      return this.assignedFlag;
   }

   public void setAssignedFlag(String assignedFlag) {
      this.assignedFlag = assignedFlag;
   }

   public String getReusable() {
      return this.reusable;
   }

   public void setReusable(String reusable) {
      this.reusable = reusable;
   }

   public String getOrderIndex() {
      return this.orderIndex;
   }

   public void setOrderIndex(String orderIndex) {
      this.orderIndex = orderIndex;
   }
}
